Package org.apache.tools.ant.taskdefs

## Class DiagnosticsTask

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.Task
    - - org.apache.tools.ant.taskdefs.DiagnosticsTask

All Implemented Interfaces:
  `java.lang.Cloneable`

    public class DiagnosticsTask
    extends Task

This is a task that hands off work to the Diagnostics module. It lets you run diagnostics in an IDE.

### Field Summary

### Fields inherited from class org.apache.tools.ant.Task

`target, taskName, taskType, wrapper`

### Fields inherited from class org.apache.tools.ant.ProjectComponent

`description, location, project`

### Constructor Summary

Constructors
`DiagnosticsTask()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `execute()` Execute the task.

### Methods inherited from class org.apache.tools.ant.Task

`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

### Methods inherited from class org.apache.tools.ant.ProjectComponent

`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DiagnosticsTask

    public DiagnosticsTask()

### Method Detail

#### execute

    public void execute()
                 throws BuildException

Execute the task. This delegates to the Diagnostics class.

Overrides:
  `execute` in class `Task`
Throws:
  `BuildException` - on error.